Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrSameNodeJoinCondition

    java.lang.Object
      org.modeshape.graph.query.model.SameNodeJoinCondition
          org.modeshape.jcr.query.qom.JcrSameNodeJoinCondition

All Implemented Interfaces:
  Serializable, SameNodeJoinCondition, JoinCondition, LanguageObject, Visitable, JcrJoinCondition

    public class JcrSameNodeJoinCondition

extends SameNodeJoinCondition
implements SameNodeJoinCondition, JcrJoinCondition

Implementation of the same-node join condition for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrSameNodeJoinCondition(SelectorName selector1Name, SelectorName selector2Name)` Create a join condition that determines whether the node identified by the first selector is the same as the node identified by the second selector.
`JcrSameNodeJoinCondition(SelectorName selector1Name, SelectorName selector2Name, String selector2Path)` Create a join condition that determines whether the node identified by the first selector is the same as the node at the given path relative to the node identified by the second selector.

Method Summary
`String` | `getSelector1Name()`
`String` | `getSelector2Name()`
`String` | `getSelector2Path()`

Methods inherited from class org.modeshape.graph.query.model.SameNodeJoinCondition
`accept, equals, hashCode, selector1Name, selector2Name, selector2Path, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrSameNodeJoinCondition

    public JcrSameNodeJoinCondition(SelectorName selector1Name,
                                    SelectorName selector2Name,
                                    String selector2Path)

  Create a join condition that determines whether the node identified by the first selector is the same as the node at the given path relative to the node identified by the second selector.

  Parameters:
    `selector1Name` - the name of the first selector
    `selector2Name` - the name of the second selector
    `selector2Path` - the relative path from the second selector locating the node being compared with the first selector

### JcrSameNodeJoinCondition

    public JcrSameNodeJoinCondition(SelectorName selector1Name,
                                    SelectorName selector2Name)

  Create a join condition that determines whether the node identified by the first selector is the same as the node identified by the second selector.

  Parameters:
    `selector1Name` - the name of the first selector
    `selector2Name` - the name of the second selector
  Throws:
    `IllegalArgumentException` - if either selector name is null

Method Detail

### getSelector2Path

    public String getSelector2Path()

  Specified by:
    `getSelector2Path` in interface `SameNodeJoinCondition`
  See Also:
    `SameNodeJoinCondition.getSelector2Path()`

### getSelector1Name

    public String getSelector1Name()

  Specified by:
    `getSelector1Name` in interface `SameNodeJoinCondition`
  See Also:
    `SameNodeJoinCondition.getSelector1Name()`

### getSelector2Name

    public String getSelector2Name()

  Specified by:
    `getSelector2Name` in interface `SameNodeJoinCondition`
  See Also:
    `SameNodeJoinCondition.getSelector2Name()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.